Skip to main content
Python

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your workspace API key. See Find your API key for more information.

Path Parameters

projectId
string<uuid>
required

The project id.

Body

application/json
name
string
required

The test name.

Maximum string length: 100
Example:

"No duplicate rows"

description
object | null
required

The test description.

Example:

"This test checks for duplicate rows in the dataset."

type
enum<string>
required

The test type.

Available options:
integrity,
consistency,
performance
Example:

"integrity"

subtype
enum<string>
required

The test subtype.

Available options:
anomalousColumnCount,
characterLength,
classImbalanceRatio,
expectColumnAToBeInColumnB,
columnAverage,
columnDrift,
columnStatistic,
columnValuesMatch,
conflictingLabelRowCount,
containsPii,
containsValidUrl,
correlatedFeatureCount,
customMetricThreshold,
duplicateRowCount,
emptyFeature,
emptyFeatureCount,
driftedFeatureCount,
featureMissingValues,
featureValueValidation,
greatExpectations,
groupByColumnStatsCheck,
illFormedRowCount,
isCode,
isJson,
llmRubricThresholdV2,
labelDrift,
metricThreshold,
newCategoryCount,
newLabelCount,
nullRowCount,
rowCount,
ppScoreValueValidation,
quasiConstantFeature,
quasiConstantFeatureCount,
sqlQuery,
dtypeValidation,
sentenceLength,
sizeRatio,
specialCharactersRatio,
stringValidation,
trainValLeakageRowCount
Example:

"duplicateRowCount"

thresholds
object[]
required
evaluationWindow
number | null

The evaluation window in seconds. Only applies to tests that use production data.

Required range: x <= 2592000
Example:

3600

delayWindow
number | null

The delay window in seconds. Only applies to tests that use production data.

Required range: 0 <= x <= 2592000
Example:

0

archived
boolean

Whether the test is archived.

Example:

false

usesMlModel
boolean

Whether the test uses an ML model.

Example:

false

usesValidationDataset
boolean

Whether the test uses a validation dataset.

Example:

true

usesTrainingDataset
boolean

Whether the test uses a training dataset.

Example:

false

usesReferenceDataset
boolean

Whether the test uses a reference dataset (monitoring mode only).

Example:

false

usesProductionData
boolean

Whether the test uses production data (monitoring mode only).

Example:

false

includeHistoricalData
boolean | null
default:false

Whether to include historical data in the test result. Only applies to tests that use production data.

defaultToAllPipelines
boolean | null
default:true

Whether to apply the test to all pipelines (data sources) or to a specific set of pipelines. Only applies to tests that use production data.

includePipelines
string<uuid>[] | null

Array of pipelines (data sources) to which the test should be applied. Only applies to tests that use production data.

excludePipelines
string<uuid>[] | null

Array of pipelines (data sources) to which the test should not be applied. Only applies to tests that use production data.

Response

Status OK.

id
string<uuid>
required
read-only

The test id.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

number
integer
required
read-only

The test number.

Example:

1

name
string
required

The test name.

Maximum string length: 100
Example:

"No duplicate rows"

dateCreated
string<date-time>
required
read-only

The creation date.

Example:

"2024-03-22T11:31:01.185Z"

dateUpdated
string<date-time>
required
read-only

The last updated date.

Example:

"2024-03-22T11:31:01.185Z"

description
object | null
required

The test description.

Example:

"This test checks for duplicate rows in the dataset."

type
enum<string>
required

The test type.

Available options:
integrity,
consistency,
performance
Example:

"integrity"

subtype
enum<string>
required

The test subtype.

Available options:
anomalousColumnCount,
characterLength,
classImbalanceRatio,
expectColumnAToBeInColumnB,
columnAverage,
columnDrift,
columnStatistic,
columnValuesMatch,
conflictingLabelRowCount,
containsPii,
containsValidUrl,
correlatedFeatureCount,
customMetricThreshold,
duplicateRowCount,
emptyFeature,
emptyFeatureCount,
driftedFeatureCount,
featureMissingValues,
featureValueValidation,
greatExpectations,
groupByColumnStatsCheck,
illFormedRowCount,
isCode,
isJson,
llmRubricThresholdV2,
labelDrift,
metricThreshold,
newCategoryCount,
newLabelCount,
nullRowCount,
rowCount,
ppScoreValueValidation,
quasiConstantFeature,
quasiConstantFeatureCount,
sqlQuery,
dtypeValidation,
sentenceLength,
sizeRatio,
specialCharactersRatio,
stringValidation,
trainValLeakageRowCount
Example:

"duplicateRowCount"

creatorId
string<uuid> | null
required
read-only

The test creator id.

Example:

"589ece63-49a2-41b4-98e1-10547761d4b0"

originProjectVersionId
string<uuid> | null
required
read-only

The project version (commit) id where the test was created.

Example:

"3fa85f64-5717-4562-b3fc-2c963f66afa6"

thresholds
object[]
required
dateArchived
string<date-time> | null
required
read-only

The date the test was archived.

Example:

"2024-03-22T11:31:01.185Z"

suggested
boolean
required
read-only

Whether the test is suggested or user-created.

Example:

false

commentCount
integer
required
read-only

The number of comments on the test.

Required range: x >= 0
Example:

0

evaluationWindow
number | null

The evaluation window in seconds. Only applies to tests that use production data.

Required range: x <= 2592000
Example:

3600

delayWindow
number | null

The delay window in seconds. Only applies to tests that use production data.

Required range: 0 <= x <= 2592000
Example:

0

archived
boolean

Whether the test is archived.

Example:

false

usesMlModel
boolean

Whether the test uses an ML model.

Example:

false

usesValidationDataset
boolean

Whether the test uses a validation dataset.

Example:

true

usesTrainingDataset
boolean

Whether the test uses a training dataset.

Example:

false

usesReferenceDataset
boolean

Whether the test uses a reference dataset (monitoring mode only).

Example:

false

usesProductionData
boolean

Whether the test uses production data (monitoring mode only).

Example:

false

includeHistoricalData
boolean | null
default:false

Whether to include historical data in the test result. Only applies to tests that use production data.

defaultToAllPipelines
boolean | null
default:true

Whether to apply the test to all pipelines (data sources) or to a specific set of pipelines. Only applies to tests that use production data.

includePipelines
string<uuid>[] | null

Array of pipelines (data sources) to which the test should be applied. Only applies to tests that use production data.

excludePipelines
string<uuid>[] | null

Array of pipelines (data sources) to which the test should not be applied. Only applies to tests that use production data.